suggestions in POST /send-rcs to add interactive chips to an RCS message.
Common fields
Every suggestion object includes these fields:| Field | Type | Required | Description |
|---|---|---|---|
type | string | Yes | Suggestion type |
text | string | Yes | Label shown on the chip |
postback | string | Yes | Value sent back when the user taps the chip |
Types
reply
reply
| Field | Type | Required |
|---|---|---|
type | string | Yes, must be reply |
text | string | Yes |
postback | string | Yes |
url
url
| Field | Type | Required |
|---|---|---|
type | string | Yes, must be url |
text | string | Yes |
postback | string | Yes |
url | string | Yes |
dialer
dialer
| Field | Type | Required |
|---|---|---|
type | string | Yes, must be dialer |
text | string | Yes |
postback | string | Yes |
phone | string | Yes |
location_latlng
location_latlng
| Field | Type | Required |
|---|---|---|
type | string | Yes, must be location_latlng |
text | string | Yes |
postback | string | Yes |
lat | string | Yes |
lng | string | Yes |
label | string | Yes |
location_query
location_query
| Field | Type | Required |
|---|---|---|
type | string | Yes, must be location_query |
text | string | Yes |
postback | string | Yes |
query | string | Yes |
share_location
share_location
calendar_event
calendar_event
| Field | Type | Required |
|---|---|---|
type | string | Yes, must be calendar_event |
text | string | Yes |
postback | string | Yes |
datetime | string | Yes |
title | string | Yes |
description | string | Yes |
